Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Class GraphExtract

    java.lang.Object
      com.hp.hpl.jena.graph.GraphExtract

    public class GraphExtract

extends java.lang.Object

GraphExtract offers a very simple recursive extraction of a subgraph with a specified root in some supergraph. The recursion is terminated by triples that satisfy some supplied boundary condition.

Author:
  hedgehog

Constructor Summary
`GraphExtract(TripleBoundary b)`

Method Summary
`Graph` | `extract(Node node, Graph graph)` Answer a new graph which is the reachable subgraph from `node` in `graph` with the terminating condition given by the TripleBoundary passed to the constructor.
`Graph` | `extractInto(Graph toUpdate, Node root, Graph extractFrom)` Answer the graph `toUpdate` augmented with the sub-graph of `extractFrom` reachable from `root` bounded by this instance's TripleBoundary.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphExtract

    public GraphExtract(TripleBoundary b)

Method Detail

### extract

    public Graph extract(Node node,
                         Graph graph)

  Answer a new graph which is the reachable subgraph from `node` in `graph` with the terminating condition given by the TripleBoundary passed to the constructor.

### extractInto

    public Graph extractInto(Graph toUpdate,
                             Node root,
                             Graph extractFrom)

  Answer the graph `toUpdate` augmented with the sub-graph of `extractFrom` reachable from `root` bounded by this instance's TripleBoundary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP